Update Agent Metadata

Updates the metadata associated with an agent configuration. The config itself is immutableโ€”to change the configuration, delete the existing agent and create a new one.

Authentication

AuthorizationToken

Use Authorization: Token <API_KEY> Example: Authorization: Token 12345abcdef

Path parameters

project_idstringRequired
agent_idstringRequired

Request

Updated metadata for the agent configuration
metadatamap from strings to stringsRequired

A map of string key-value pairs to associate with this agent configuration

Response

Agent configuration updated
agent_idstring
The unique identifier of the agent configuration
configobject
The agent configuration object
metadatamap from strings to strings

A map of arbitrary key-value pairs for labeling or organizing the agent configuration

created_atstringformat: "date-time"
Timestamp when the configuration was created
updated_atstringformat: "date-time"
Timestamp when the configuration was last updated

Errors

400
Bad Request Error